#!/bin/bash

# from http://stackoverflow.com/questions/59895/can-a-bash-script-tell-what-directory-its-stored-in
SOURCE="${BASH_SOURCE[0]}"
while [ -h "$SOURCE" ]; do # resolve $SOURCE until the file is no longer a symlink
  DIR="$( cd -P "$( dirname "$SOURCE" )" && pwd )"
  SOURCE="$(readlink "$SOURCE")"
  [[ $SOURCE != /* ]] && SOURCE="$DIR/$SOURCE" # if $SOURCE was a relative symlink, we need to resolve it relative to the path where the symlink file was located
done

SCRIPT_DIR="$( cd -P "$( dirname "$SOURCE" )" && pwd )"
IGBLAST_DIR=$SCRIPT_DIR/../share/igblast

# Set IGDATA only if user has not set it
if [ -z ${IGDATA+x} ]; then
  export IGDATA=$IGBLAST_DIR
fi
exec $IGBLAST_DIR/bin/igblastn "$@"
